---
dependency:
  name: galaxy

driver:
  name: docker

lint:
  name: yamllint
  options:
    config-file: molecule/default/yaml-lint.yml

platforms:
  - name: centos7
    image: paulfantom/centos-molecule:7
    docker_host: "${DOCKER_HOST:-unix://var/run/docker.sock}"
    privileged: true
    volumes:
      - /sys/fs/cgroup:/sys/fs/cgroup:ro
#   - name: bionic
#     image: paulfantom/ubuntu-molecule:18.04
#     docker_host: "${DOCKER_HOST:-unix://var/run/docker.sock}"
#     privileged: true
#     volumes:
#       - /sys/fs/cgroup:/sys/fs/cgroup:ro
#   - name: stretch
#     image: paulfantom/debian-molecule:9
#     docker_host: "${DOCKER_HOST:-unix://var/run/docker.sock}"
#     privileged: true
#     volumes:
#       - /sys/fs/cgroup:/sys/fs/cgroup:ro
#   - name: buster
#     image: paulfantom/debian-molecule:10
#     docker_host: "${DOCKER_HOST:-unix://var/run/docker.sock}"
#     privileged: true
#     volumes:
#       - /sys/fs/cgroup:/sys/fs/cgroup:ro

provisioner:
  name: ansible
  lint:
    name: ansible-lint
  playbooks:
    create: create.yml
    prepare: prepare.yml
    converge: playbook.yml
    destroy: destroy.yml

scenario:
  name: default
  test_sequence:
    - lint
    - destroy
    - dependency
    - syntax
    - create
    - prepare
    - converge
    # - idempotence
    # - side_effect
    - verify
    - destroy

verifier:
  name: testinfra
  lint:
    name: flake8
    enabled: true
